#8 Crash during pigin-shutdown

closed-fixed
nobody
None
5
2008-04-24
2008-04-22
Sim-on
No

Since i have installed 0.3, each time i shut down pidgin i get (during shut-down-process) a windows-error:
"Pidgin has detected a problem and needs to shut down. " (translated)

Further Information:
AppName: pidgin.exe
AppVer: 2.4.1.0
ModName: libglib-2.0-0.dll
ModVer: 2.14.6.0
Offset: 00012460

This is because of the plugin, because disable the plugin solves this problem.

Discussion

  • Sim-on

    Sim-on - 2008-04-22

    Logged In: YES
    user_id=1377624
    Originator: YES

    oh i just saw a close bug-report for this issue.
    So this is still not fixed^^
    (using Pidgin 2.4.1)

     
  • Dominik George

    Dominik George - 2008-04-23
    • priority: 5 --> 7
    • status: open --> pending
     
  • Dominik George

    Dominik George - 2008-04-23

    Logged In: YES
    user_id=1073419
    Originator: NO

    Huh? We had this problem in v0.3, and I thought I had fixed it in 0.3. In fact, Pidgin does not behave like this here anymore ...

    Can you provide me with some debugging output please?

     
  • Sim-on

    Sim-on - 2008-04-23

    pidgin .rpt crash-file

     
  • Sim-on

    Sim-on - 2008-04-23

    Logged In: YES
    user_id=1377624
    Originator: YES

    i added the crash file.
    All crashes there are caused by be plugin i think.

    The last one i just started pidgin with a debug output (pidgin.exe -d > debug.log) and the last lines are:

    (14:49:06) oscar: Signed off.
    (14:49:06) connection: Destroying connection 0201CA38
    [..]
    (14:49:07) main: Unloading all plugins
    [...]
    (14:49:07) plugins: Unloading plugin Perl Plugin Loader
    (14:49:07) plugins: Unloading plugin Last.FM Info Plugin
    (14:49:07) perl: Unloading perl script

    File Added: pidgin.RPT

     
  • Sim-on

    Sim-on - 2008-04-23
    • status: pending --> open
     
  • Dominik George

    Dominik George - 2008-04-23

    Logged In: YES
    user_id=1073419
    Originator: NO

    Seems strange to me that the Perl Plugin Loader is actually unloaded before the perl scripts are ...

    I will check what the plugin does here and if it shows the same effects, have a discussion with the Pidgin developers ...

     
  • Dominik George

    Dominik George - 2008-04-23

    Logged In: YES
    user_id=1073419
    Originator: NO

    Are you 100% certain that there is nothing left of an older version? Maybe in the user's plugin directory?

    The defects you report are all the ones I fixed, and they don't appear anywhere else :)

    -nik

     
  • Dominik George

    Dominik George - 2008-04-23
    • status: open --> pending
     
  • Sim-on

    Sim-on - 2008-04-23

    Logged In: YES
    user_id=1377624
    Originator: YES

    see my reply in ticket #1950008 ;)

     
  • Sim-on

    Sim-on - 2008-04-23
    • status: pending --> open
     
  • Dominik George

    Dominik George - 2008-04-23
    • priority: 7 --> 5
     
  • Dominik George

    Dominik George - 2008-04-23

    Logged In: YES
    user_id=1073419
    Originator: NO

    Pidgin does not crash on Linux - that's all I can tell at the moment.

    Working ...

     
  • Sim-on

    Sim-on - 2008-04-23

    Logged In: YES
    user_id=1377624
    Originator: YES

    i just told a friend about your plugin and that this it is now working well.

    But he experienced the same crash. (he's using windows too)

     
  • Dominik George

    Dominik George - 2008-04-24

    Logged In: YES
    user_id=1073419
    Originator: NO

    Apparently, we can't do really anything in the plugin_unload callback. I don't know whether this is a Pidgin bug or not. A chat on IRC brought up that I would have to attach to the "quitting" signal and act accordingly.

    As it is not important to reset the placeholders upon unloading, I just commented that line out ...

    I will not update the release now, but for anyone who is keen in having the bug removed: Open the lastfm.pl file in a texteditor (Windows users may prefer Wordpad or Notepad++ for reasons of incompatible linebreaks) and remove line 71 or add a # character at the beginning!

     
  • Dominik George

    Dominik George - 2008-04-24
    • status: open --> closed-fixed
     
  • Nobody/Anonymous

    Logged In: NO

    thanks. This fixes this crash.

     
  • Dominik George

    Dominik George - 2008-04-26

    Logged In: YES
    user_id=1073419
    Originator: NO

    Version 0.3a (just released) should fix the bug. The Windows installer package will be available later!

     

Log in to post a comment.

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:

JavaScript is required for this form.





No, thanks